<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY xfwm4-download-http "https://archive.xfce.org/src/xfce/xfwm4/&xfce4-version;/xfwm4-&xfwm4-version;.tar.bz2">
  <!ENTITY xfwm4-download-ftp  " ">
  <!ENTITY xfwm4-md5sum        "e74cfb30b6e9ebf9cbaac0827dd534e3">
  <!ENTITY xfwm4-size          "1.4 MB">
  <!ENTITY xfwm4-buildsize     "26 MB">
  <!ENTITY xfwm4-time          "0.2 SBU">
]>

<sect1 id="xfwm4" xreflabel="Xfwm4-&xfwm4-version;">
  <?dbhtml filename="xfwm4.html"?>


  <title>Xfwm4-&xfwm4-version;</title>

  <indexterm zone="xfwm4">
    <primary sortas="a-Xfwm4">Xfwm4</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Xfwm4</title>

    <para>
      <application>Xfwm4</application> is the window manager for
      <application>Xfce</application>.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&xfwm4-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&xfwm4-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &xfwm4-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &xfwm4-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &xfwm4-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &xfwm4-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Xfwm4 Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="libwnck"/> and
      <xref linkend="libxfce4ui"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      <xref linkend="startup-notification"/>
    </para>

    <para condition="html" role="usernotes">
      Editor Notes: <ulink url="&blfs-wiki;/xfwm4"/>
    </para>
  </sect2>

  <sect2 role="installation">
    <title>Installation of Xfwm4</title>

    <para>
      Install <application>Xfwm4</application> by running the following
      commands:
    </para>

<screen><userinput>./configure --prefix=/usr &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>
<!--
  <sect2 role="commands">
    <title>Command Explanations</title>

    <para>
      <parameter>- -disable-compositor</parameter>: This switch disables
      a function that causes failures when xorg-xerver-1.20.0 and later are
      installed.
    </para>
  </sect2>
-->

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          xfwm4,
          xfwm4-settings,
          xfwm4-tweaks-settings and
          xfwm4-workspace-settings
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /usr/lib/xfce4/xfwm4,
          /usr/share/themes/{Daloa,Default{,-hdpi,-xhdpi},Kokodi,Moheli}, and
          /usr/share/xfwm4
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="xfwm4-prog">
        <term><command>xfwm4</command></term>
        <listitem>
          <para>
            is the <application>Xfce</application> window manager
          </para>
          <indexterm zone="xfwm4 xfwm4-prog">
            <primary sortas="b-xfwm4">xfwm4</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="xfwm4-settings">
        <term><command>xfwm4-settings</command></term>
        <listitem>
          <para>
            is a <application>GTK+ 3</application> application that allows
            setting some preferences such as your theme, keyboard shortcuts and
            mouse focus behavior
          </para>
          <indexterm zone="xfwm4 xfwm4-settings">
            <primary sortas="b-xfwm4-settings">xfwm4-settings</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="xfwm4-tweaks-settings">
        <term><command>xfwm4-tweaks-settings</command></term>
        <listitem>
          <para>
            is a <application>GTK+ 3</application> application that allows
            setting some more preferences for <application>Xfwm4</application>
          </para>
          <indexterm zone="xfwm4 xfwm4-tweaks-settings">
            <primary sortas="b-xfwm4-tweaks-settings">xfwm4-tweaks-settings</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="xfwm4-workspace-settings">
        <term><command>xfwm4-workspace-settings</command></term>
        <listitem>
          <para>
            is a <application>GTK+ 3</application> application that allows
            setting your workspace preferences
          </para>
          <indexterm zone="xfwm4 xfwm4-workspace-settings">
            <primary sortas="b-xfwm4-workspace-settings">xfwm4-workspace-settings</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
